% GniMatlab -- Geometric Numerical Integration codes for Matlab.
%
% GNI Integrators.
%   gni_irk2      - Implicit Runge-Kutta methods.
%   gni_lmm2      - Symmetric multistep methods.
%   gni_comp      - Generic composition methods.
%
% GNI Option handling.
%   gniset        - Create/alter GNI OPTIONS structure.
%   gniget        - Get GNI OPTIONS parameters.
%
% Examples of GNI problem files.
%   henon         - Henon-Heiles problem.
%   kepler        - Kepler problem.
%   twobodysphere - Two-body problem on a sphere.
%
% Examples of custom output functions.
%   phaseplot     - Two-dimensional plot in phase space.
%   sphereplot    - Three-dimensional plot on a sphere.

%   Copyright (c) 2002 by Ernst Hairer & Martin Hairer.


